.blog__detail-banner-list {
	display: flex;
	gap: 20px;
}

.blog__detail-body-right {
	gap: 30px;
	display: flex;
	flex-direction: column;
}

.blog__detail-sticky {
	position: sticky;
	top: 10px;
	display: flex;
	flex-direction: column;
	gap: 30px;
}

.blog__detail .section--form {
	padding: 0 !important;
}

.blog__detail .block-form {
	--offset-form: 35px;
}

.blog__detail .block-form--reverse .form {
	transform: translateY(-50%) !important;
	margin-inline: auto !important;
	left: 0 !important;
	right: 0 !important;
}

.blog__detail-text img {
	border-radius: var(--radius-lg);
	margin-inline: auto;
}

@media (max-width: 767px) {
	.blog__detail .block-form--reverse .form {
		transform: translate(0, 0) !important;
	}
}

.blog__detail .block-form__image-wrapper {
	padding: 0 !important;
}

.blog__detail .block-form__image {
	display: none !important;
}

.services-block__item-title {
	font-weight: bold;
}

.services-block__item-link {
	width: 95%;
	margin-top: auto;
}

@media (max-width: 767px) {
	.blog__detail-banner-list {
		flex-wrap: wrap;
	}
}

.section + .section {
	padding-top: 0;
	margin-top: calc(var(--section-padding-y) * -1);
}

.related-articles-block__item-image img {
	width: 100%;
	max-height: 235px;
	object-fit: cover;
	border-radius: var(--radius-lg);
}

.related-articles-block__item-link {
	width: 95%;
	margin-top: 30px !important;
	margin-inline: auto;
}

.services-block__title {
	margin-bottom: 40px;
}

.blog__detail-banner-image {
	width: 480px;
}

/* Table contents */

.blog__detail-table-contents {
	position: static !important;
	margin-bottom: 24px;
}

.blog__detail-table-contents-inner {
	display: flex;
	gap: 12px;
}

.blog__detail-table-contents-item {
	display: none;
}
.blog__detail-table-contents-item:nth-child(n + 1):nth-child(-n + 3) {
	display: block;
}

.blog__detail-table-contents.open .blog__detail-table-contents-item {
	display: block !important;
}

.blog__detail-table-contents-list {
	flex-grow: 1;
}

.blog__detail-table-contents_more {
	display: flex;
	align-items: end;
}

/* Author block */

.author-block__middle {
	flex-grow: 0 !important;
}

.author-block__right {
	flex-grow: 1 !important;
	padding-left: 26px;
}

.author-block__title {
	display: flex;
	align-items: center;
	gap: 5px;
}

.author-block__title-icon {
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 24px;
	color: var(--color-accent);
}

.author-block__text {
	font-size: 19px;
}

.author-block__link {
	flex-grow: 1;
}
@media (hover: hover) {
	.author-block__link:hover {
		background-color: var(--color-light) !important;
		color: var(--color-accent) !important;
	}
}

@media screen and (max-width: 767px) {
	.author-block__right {
		width: 100%;
		padding-left: 0;
	}

	.author-block__title {
		display: block;
	}
	.author-block__title-icon {
		float: left;
		margin-right: 5px;
		font-size: 36px;
	}

	.author-block__text {
		font-size: 16px;
	}
}

.author-rating-stars {
	font-size: 22px;
	line-height: 1em;
	display: inline-block;
	letter-spacing: 1px;
	background: linear-gradient(
		to right,
		rgb(255, 169, 40) var(--percent),
		rgba(255, 169, 40, 0.2) var(--percent)
	);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.author-rating-number {
	font-size: 20px;
	line-height: 1;
	font-weight: bold;
	color: var(--color-accent);
}
